# Samples

This folder contains some examples on how to use the Saxo APY. The notebooks are all "runnable", but do require a json file named `app_config.json` to be available in this directory. Make sure to copy your own app config in here to play around with these notebooks.

Table of Contents:

1. [Getting Started](./01_getting_started.ipynb)
2. [Advanced Login](./02_advanced_login.ipynb)
3. [Session Management](./03_session_management.ipynb)
4. [Debugging & Logging](./04_debugging_and_logging.ipynb)
5. [CRUD Example w/ Price Alerts](./05_price_alerts_crud.ipynb)
6. [Searching Instruments](./06_instrument_search.ipynb)
7. [Pricing and Order Placement](./07_pricing_and_orders.ipynb)

Command-line scripts:

- [Async Requests](./s01_async_requests.py)
- [Streaming Prices](./s02_streaming_prices.py)
